Hi all,

While the installer checks for prerequisites, it tries to figure out the installed version using the rpm -q command. On a dual-arch box (mine is a FC4 x86_64), this command can return more than one single line; this leads to errors within the install script.

To avoid these errors, I changed line 885 in util/utilfunc.sh to eliminate dupliates using "sort" (see below).

Hope this helps anyone else with this problem. Maybe this modification should be added to the standard scripts.

Regards
--Marcel

row 885 in util/utilfunc.sh:
replace
PKGINSTALLED=`$PACKAGEQUERY $pkg 2> /dev/null`

by

PKGINSTALLED=`$PACKAGEQUERY $pkg 2> /dev/null | sort -u`